Subject: Re: [Idr] Adoption: draft-li-idr-bgp-ls-sr-policy-path-segment-03.txt and draft-li-sr-policy-path-segment-01.txt [9/17 to 10/1/2019]

From: Dhruv Dhody <[email-masked]>
Date: Wed, 2 Oct 2019 18:45:59 +0530

Hi,

I am late by a day, but since chairs have not yet closed the poll - here I am!

I support adoption for both I-Ds.

Yes to first 3 questions and for the 4th - I have some suggestions
that can be worked on post adoption applicable for both I-Ds:

- Updated requirement language template as per RFC 8174, especially
because you use lowercase normative terms in this document.
- It may good to describe the case where a different path segment at
candidate path and segment list would be useful. Also we should make
it MUST to include both in the SID list rather than SHOULD.
- Extra 'Reserved' in section 3.1 of [1] (not in the figure)
- Remove 'which is a 128-bits value' in section 3.1 of [1] (as so far
you dont specify SRv6 in this I-D)
- We should clarify where is the 'SR Bidirectional Path Sub-TLV' included in.
- Suggested values for IANA, i guess get early IANA allocation post
adoption to avoid issues!
- In figures for sub-TLVs the bit numbering is bit off. Move one space
to the right.
- Can Path segment be part of the segment list (end of the list)?
Should we add some text?
- Can you recheck that a codepoint for the Path Segment sub-tlv
allocated in [1] can be re-used for sub-TLV of SR Segment sub-TLV in
[2]? I ask because usually BGP-LS use different registry.
- s/[I-D.li-idr-sr-policy-path-segment-distribution]/[I-D.li-idr-sr-policy-path-segment]/

Thanks!
Dhruv

[1] https://datatracker.ietf.org/doc/draft-li-idr-sr-policy-path-segment/
[2] https://tools.ietf.org/html/draft-ietf-idr-te-lsp-distribution-11

On Tue, Sep 17, 2019 at 10:05 PM Susan Hares <[email-masked]> wrote:
>
> This begins a 2 week WG Adoption call two related drafts [9/17 to 10/1/2019]
>
> ·         draft-li-bgp-ls-sr-policy-path-segment-03.txt and
>
> ·         draft-li-idr-sr-policy-path-segment-01.txt.
>
>
>
> You can access these two drafts at the following location:
>
>
>
> https://datatracker.ietf.org/doc/draft-li-idr-bgp-ls-sr-policy-path-segment/
>
>
>
> https://datatracker.ietf.org/doc/draft-li-idr-sr-policy-path-segment/
>
>
>
> The authors have pointed out that the adoption of this
>
> draft since the following  SR-MPLS Path Segment draft has been adopted:
>
>
>
> https://tools.ietf.org/html/draft-ietf-spring-mpls-path-segment-00
>
>
>
> Please consider the following questions in your responses?
>
>
>
> 1)      Should this SR Policy technology be included in BGP for SR-MPLS
>
>
>
> Spring has adopted the draft, but IDR can provide feedback
>
> to spring about putting this technology in BGP.
>
>
>
> 2)      Is this technology a good way to implement the required
>
> Features in BGP?
>
>
>
> 3)      Is this technology ready for adoption?
>
>
>
> 4)      Do you have any concerns about adopting this technology?
>
>
>
>
>
> Cheers, Susan Hares
>
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Tue, 8 Oct 2019 03:04:47 +0000

Hi Dhruv,

Many thanks for your comments, very helpful!

Will check and get back to you later.

Best regards,
Cheng

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: Wednesday, October 02, 2019 9:16 PM
To: Susan Hares <[email-masked]>
Cc: idr wg <[email-masked]>
Subject: Re: [Idr] Adoption: draft-li-idr-bgp-ls-sr-policy-path-segment-03.txt and draft-li-sr-policy-path-segment-01.txt [9/17 to 10/1/2019]

Hi,

Yes to first 3 questions and for the 4th - I have some suggestions that can be worked on post adoption applicable for both I-Ds:

- Updated requirement language template as per RFC 8174, especially because you use lowercase normative terms in this document.
- It may good to describe the case where a different path segment at candidate path and segment list would be useful. Also we should make it MUST to include both in the SID list rather than SHOULD.
- Extra 'Reserved' in section 3.1 of [1] (not in the figure)
- Remove 'which is a 128-bits value' in section 3.1 of [1] (as so far you dont specify SRv6 in this I-D)
- We should clarify where is the 'SR Bidirectional Path Sub-TLV' included in.
- Suggested values for IANA, i guess get early IANA allocation post adoption to avoid issues!
- In figures for sub-TLVs the bit numbering is bit off. Move one space to the right.
- Can Path segment be part of the segment list (end of the list)?
Should we add some text?
- Can you recheck that a codepoint for the Path Segment sub-tlv allocated in [1] can be re-used for sub-TLV of SR Segment sub-TLV in [2]? I ask because usually BGP-LS use different registry.
- s/[I-D.li-idr-sr-policy-path-segment-distribution]/[I-D.li-idr-sr-policy-path-segment]/

Thanks!
Dhruv

---

From: "[email-masked]" <[email-masked]>
Date: Tue, 15 Oct 2019 12:18:31 +0800

Support these two drafts

Best Regards,
Cong Li
From: Idr [mailto:[email-masked]] On Behalf Of Susan Hares
Sent: Wednesday, September 18, 2019 12:35 AM
To: 'idr wg' <[email-masked]>
Subject: [Idr] Adoption: draft-li-idr-bgp-ls-sr-policy-path-segment-03.txt and draft-li-sr-policy-path-segment-01.txt [9/17 to 10/1/2019]
 
This begins a 2 week WG Adoption call two related drafts [9/17 to 10/1/2019] 
・         draft-li-bgp-ls-sr-policy-path-segment-03.txt and 
・         draft-li-idr-sr-policy-path-segment-01.txt. 

 

 

 

Cheers, Susan Hares

---

From: stefano previdi <[email-masked]>
Date: Tue, 15 Oct 2019 10:00:57 +0200

Hi,

I support the adoption of both drafts.

thanks.
s.

> On Sep 17, 2019, at 6:35 PM, Susan Hares <[email-masked]> wrote:
>